%define module netaddr

Name:           python-%module
Version:        0.7.10
Release:        %mkrel 3
License:        BSD3c
Summary:        Pythonic manipulation of IPv4, IPv6, CIDR, EUI and MAC network addresses
Url:            http://code.google.com/p/netaddr
Group:          Development/Python
Source:         https://github.com/downloads/drkjam/%{module}/%{module}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
A pure Python network address representation and manipulation library.

netaddr provides a Pythonic way of working with:
    - IPv4 and IPv6 addresses and subnets (including CIDR notation);
    - MAC (Media Access Control) addresses in multiple formats;
    - IEEE EUI-64, OUI and IAB identifiers;
    - a user friendly IP glob-style format.

Included are routines for:
    - generating, sorting and summarizing IP addresses;
    - converting IP addresses and ranges between various different formats;
    - performing set based operations on groups of IP addresses and subnets;
    - arbitrary IP address range calculations and conversions;
    - querying IEEE OUI and IAB organisational information;
    - querying of IP standards related data from key IANA data sources.

%package -n python3-%{module}
Summary:        Pythonic manipulation of IPv4, IPv6, CIDR, EUI and MAC network addresses
Group:          Development/Python

%description -n python3-%{module}
A pure Python 3 network address representation and manipulation library.

netaddr provides a Pythonic way of working with:
    - IPv4 and IPv6 addresses and subnets (including CIDR notation);
    - MAC (Media Access Control) addresses in multiple formats;
    - IEEE EUI-64, OUI and IAB identifiers;
    - a user friendly IP glob-style format.

%prep
%setup -q -n %{module}-%{version}
chmod -x AUTHORS CHANGELOG COPYRIGHT README LICENSE THANKS # remove executable bit from docs
cp -a . %{py3dir}

%build
CFLAGS="%{optflags}" %{__python} setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} 
mv %{buildroot}/%{_bindir}/%{module} %{buildroot}%{_bindir}/python3-%{module}
popd
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc AUTHORS CHANGELOG COPYRIGHT README LICENSE THANKS
%{_bindir}/%{module}
%{python_sitelib}/*

%files -n python3-%{module}
%doc AUTHORS CHANGELOG COPYRIGHT README LICENSE THANKS
%{_bindir}/python3-%{module}
%{python3_sitelib}/*




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7.10-3.mga4
+ Revision: 543830
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.10-2.mga4
+ Revision: 498961
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.7.10-1.mga4
+ Revision: 497562
- Update to 0.7.10
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.7.5-2.mga3
+ Revision: 379158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 0.7.5-1.mga3
+ Revision: 313246
- imported package python-netaddr


* Wed Jun 08 2011 Antoine Ginies <aginies@mandriva.com> 0.7.5-1mdv2011.0
+ Revision: 683258
- import python-netaddr


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.7.5
- first release for Mandriva 
